# Socket

Adds an additional UNIX socket for this input to listen on.

This parameter applies to imuxsock: Unix Socket Input Module.

Name:

  Socket

Scope:

  input

Type:

  string

Default:

  input=none

Required?:

  no

Introduced:

  at least 7.0.0, possibly earlier

## Description

Adds additional unix socket. Formerly specified with the `-a` option.

## Input usage

    input(type="imuxsock" socket="/path/to/socket")

### Legacy names (for reference)

Historic names/directives for compatibility. Do not use in new configs. .. _imuxsock.parameter.legacy.addunixlistensocket:

- $AddUnixListenSocket — maps to Socket (status: legacy)

## See also

See also imuxsock: Unix Socket Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.